<?php

class CandidatoCapacidadTest extends CDbTestCase {
    
    public $fixtures = array(
        'datos_candidatos' => 'Candidato',
        'datos_capacidades' => 'CandidatoCapacidad',
    );
    
    public function testRead() {
        $id = $this->datos_candidatos['candidato1']['id'];
        $candidato = Candidato::model()->findByPk($id);        
        $this->assertTrue($candidato instanceof Candidato);
        
        $capacidades = $candidato->capacidades;
        $this->assertEquals(2, $candidato->capacidadesCount);
        $capacidad = $capacidades[0];
        $this->assertTrue($capacidad instanceof CandidatoCapacidad);
    }
}
?>
